Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155108 - Yum dependancy problem
Summary: Yum dependancy problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 11:52 UTC by Andrew Thomas
Modified: 2014-01-21 22:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-16 21:36:34 UTC


Attachments (Terms of Use)

Description Andrew Thomas 2005-04-16 11:52:20 UTC
Description of problem: Attempting to run a yum up to date:

Results: 

--> Running transaction check
--> Processing Dependency: dbus = 0.31 for package: cups
--> Processing Dependency: dbus = 0.31 for package: NetworkManager-gnome
--> Processing Dependency: dbus-glib = 0.31 for package: NetworkManager
--> Processing Dependency: dbus-glib = 0.31 for package: NetworkManager-gnome
--> Processing Dependency: gnu-crypto-jce-jdk1.4 >= 0:2.0.1-1jpp_2fc for
package: java-1.4.2-gcj-compat
--> Processing Dependency: pm-utils for package: apmd
--> Processing Dependency: dbus = 0.31 for package: NetworkManager
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package pm-utils.i386 0:0.01-1 set to be updated
---> Package gnu-crypto-jce-jdk1.4.noarch 0:2.0.1-1jpp_2fc set to be updated
--> Running transaction check
--> Processing Dependency: dbus = 0.31 for package: cups
--> Processing Dependency: dbus = 0.31 for package: NetworkManager-gnome
--> Processing Dependency: dbus-glib = 0.31 for package: NetworkManager
--> Processing Dependency: dbus-glib = 0.31 for package: NetworkManager-gnome
--> Processing Dependency: dbus = 0.31 for package: NetworkManager
--> Finished Dependency Resolution
Error: Missing Dependency: dbus = 0.31 is needed by package cups
Error: Missing Dependency: dbus = 0.31 is needed by package
NetworkManager-gnomeError: Missing Dependency: dbus-glib = 0.31 is needed by
package NetworkManager
Error: Missing Dependency: dbus-glib = 0.31 is needed by package
NetworkManager-gnome
Error: Missing Dependency: dbus = 0.31 is needed by package NetworkManager

Yet:

dbus.i386                                0.31-2                 installed
Matched from:
dbus
http://www.freedesktop.org/software/dbus/

dbus-glib.i386                           0.31-2                 installed
Matched from:
dbus-glib
http://www.freedesktop.org/software/dbus/

Updates are available for dbus but I get the same dependancy errors as above
when trying to update dbus. I can not remove dbus and reinstall it because of
the impact on Gnome.


Version-Release number of selected component (if applicable):2.3.2



How reproducible: Every update


Steps to Reproduce:
1.Running YUM
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Seth Vidal 2005-04-16 21:36:34 UTC
not a yum bug - dbus is being updated, the new versions of all the programs you
listed above have not been released compiled against the new dbus so the
repository is broken.

Not a surprise in rawhide but also not a bug.

If you encounter a problem like this in the future report it against
'distribution' not against yum.



Note You need to log in before you can comment on or make changes to this bug.